﻿-- ** Pig Breeding for Farming Simulator 19 ** --
-- Base mod: Meliandah's "Animal Species" / NerdCrash / 97Lukas90
-- Editor: Barn Brothers Inc.
-- Version : 1.0

 
pigbreeding = {}

function pigbreeding:debug(message)
  print(('### Pig Breeding : %s'):format(message));
end;

function pigbreeding:rpad(str, len, char)
    if len == nil then len = 15 end
    if char == nil then char = ' ' end
    return pigbreeding:ternary(str ~= nil, string.rep(char, len - #tostring(str)) .. tostring(str), string.rep(char, len));
end
function pigbreeding:lpad(str, len, char)
    if len == nil then len = 15 end
    if char == nil then char = ' ' end
    return pigbreeding:ternary(str ~= nil, tostring(str) .. string.rep(char, len - #tostring(str)), string.rep(char, len));
end
function pigbreeding:ternary(cond, T, F)
    if cond then return T else return F end
end

function pigbreeding:updateAnimalTypes()

  for k,v in pairs(g_currentMission.inGameMenu.pageAnimals.animalManager.animals) do
      --DebugUtil.printTableRecursively(v, ".", 0, 10);
	  for sk,sv in pairs(v.subTypes) do

      -- PARAMETERS ------------------------------------------------------------
      
      if sv.fillTypeDesc.name == 'PIG_TYPE_RED' then
                sv.output.manurePerDay = sv.output.manurePerDay * 2.8;
                sv.output.liquidManurePerDay = sv.output.liquidManurePerDay * 2.8;
                sv.input.foodPerDay = sv.input.foodPerDay * 4.0;
                sv.input.waterPerDay = sv.input.waterPerDay * 2.0;
                sv.input.strawPerDay = sv.input.strawPerDay * 2.0;
                sv.storeInfo.buyPrice = 1200.0;
                sv.storeInfo.sellPrice = 400.0;
                sv.storeInfo.transportPrice = 500.0;
                sv.storeInfo.shopItemName = ('Deutsches Hausschwein');
                sv.breeding.birthRatePerDay = sv.breeding.birthRatePerDay * 2.2;
      end;
      
      if sv.fillTypeDesc.name == 'PIG_TYPE_WHITE' then
                sv.output.manurePerDay = sv.output.manurePerDay * 2.0;
                sv.output.liquidManurePerDay = sv.output.liquidManurePerDay * 2.0;
                sv.input.foodPerDay = sv.input.foodPerDay * 3.0;
                sv.input.waterPerDay = sv.input.waterPerDay * 2.8;
                sv.input.strawPerDay = sv.input.strawPerDay * 2.8;
                sv.storeInfo.buyPrice = 1800.0;
                sv.storeInfo.sellPrice = 900.0;
                sv.storeInfo.transportPrice = 500.0;
                sv.storeInfo.shopItemName = ('Pietrain');
                sv.breeding.birthRatePerDay = sv.breeding.birthRatePerDay * 1.5;
      end;
      
      if sv.fillTypeDesc.name == 'PIG_TYPE_BLACK_WHITE' then
                sv.output.manurePerDay = sv.output.manurePerDay * 2.6;
                sv.output.liquidManurePerDay = sv.output.liquidManurePerDay * 2.6;
                sv.input.foodPerDay = sv.input.foodPerDay * 2.2;
                sv.input.waterPerDay = sv.input.waterPerDay * 3.0;
                sv.input.strawPerDay = sv.input.strawPerDay * 3.0;
                sv.storeInfo.buyPrice = 2500.0;
                sv.storeInfo.sellPrice = 2200.0;
                sv.storeInfo.transportPrice = 500.0;
                sv.storeInfo.shopItemName = ('Bunte Bentheimer');
                sv.breeding.birthRatePerDay = sv.breeding.birthRatePerDay * 0.4;          
      end;
      
      if sv.fillTypeDesc.name == 'PIG_TYPE_BLACK' then
                sv.output.manurePerDay = sv.output.manurePerDay * 1.7;
                sv.output.liquidManurePerDay = sv.output.liquidManurePerDay * 1.7;
                sv.input.foodPerDay = sv.input.foodPerDay * 1.5;
                sv.input.waterPerDay = sv.input.waterPerDay * 4.0;
                sv.input.strawPerDay = sv.input.strawPerDay * 4.0;
                sv.storeInfo.buyPrice = 2000.0;
                sv.storeInfo.sellPrice = 2500.0;
                sv.storeInfo.transportPrice = 500.0;
                sv.storeInfo.shopItemName = ('Deutsches Cornwallschwein');
                sv.breeding.birthRatePerDay = sv.breeding.birthRatePerDay * 0.8;       
      end;
    end;
  end;
end;

function pigbreeding:loadMap(name)    
    pigbreeding:updateAnimalTypes();
end;

function pigbreeding:keyEvent(unicode, sym, modifier, isDown)
end;

function pigbreeding:update(dt)
end;

function pigbreeding:draw()
end;

function pigbreeding:deleteMap()
end;

function pigbreeding:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(pigbreeding);